Wallets, tokens & networks

Get Current Price

Fetches latest OHLCV quote from CoinMarketCap by cmc id or symbol.

GEThttps://api.toku.com/tga/get-current-price

Required scope: wallets:read

curl --request GET \
  --url 'https://api.toku.com/tga/get-current-price' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "tokenPrice": 0,
  "highPrice": 0,
  "lowPrice": 0
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

cmcIdstring

Allowed: matches ^\d+$

currencySymbolstring

Allowed: 1 to 20 characters, matches ^[A-Za-z0-9_-]+$

Response

200Successful response
tokenPricenumberrequired
highPricenumberrequired
lowPricenumberrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits